﻿<?php
include("auth.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
         "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Arabic SMS .. by mem9.net</title>
<meta name="viewport" content="width=320; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
<style type="text/css" media="screen">
@import url('iui.css');
</style>
<script type="application/x-javascript" src="iui.js"></script>
<style type="text/css">
.title {
	font-size: larger;
	text-align: center;
	font-weight: bold;
}
.titleNote {
	font-size: small;
	text-align: center;
	font-weight: normal;
}
p {
	text-align: left;
	font-size: small;
}
</style>
<script type="text/javascript">
function setNumPhoneDigits(num) {	
	var xmlhttp =  new XMLHttpRequest();
	var url = "setnumphonedigits.php?num=" + num;
	xmlhttp.open("GET", url, true);
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState==4 || xmlhttp.readyState=="complete") {
			//alert(xmlhttp.responseText);
			if (xmlhttp.responseText == "Done") {
				alert("Successfully set to " + num);
			}
			else if (xmlhttp.responseText == "error") {
				alert("Unknown error occured, please contact mem@mem9.net");
			}
			else if (xmlhttp.responseText == "error:invalid num") {
				alert("Error: Invalid number");
			}
			else if (xmlhttp.responseText == "error:no num") {
				alert("Error: No number provided");
			}
		}
	}
		xmlhttp.send(null);
}
function setNewPasswd(newPasswd) {
	if (document.getElementById('confirmPasswd').value == newPasswd) {
		var xmlhttp =  new XMLHttpRequest();
		var url = "setnewpasswd.php?pwd=" + newPasswd;
		xmlhttp.open("GET", url, true);
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState==4 || xmlhttp.readyState=="complete") {
				//alert(xmlhttp.responseText);
				if (xmlhttp.responseText == "Done") {
					alert("Password changed successfully");
				}
				else if (xmlhttp.responseText == "error") {
					alert("Unknown error occured, please contact mem@mem9.net");
				}
				else if (xmlhttp.responseText == "error:no passwd") {
					alert("Error: No password provided");
				}
			}
		}
		xmlhttp.send(null);
	}
	else {
		alert("Passwords do not match");
	}
}
</script>
</head>
<body>
<h1 id="pageTitle"></h1>
<a id="backButton" class="button" href="#"></a>
<a class="button" href="#about" title="About" target="_blank">About</a>
<!-- Home Level Begin -->
<ul id="home" title="Home" selected="true">
	<li><a href="sms.php?id=inbox" target="_top">Inbox</a></li>
	<li><a href="sms.php?id=outbox" target="_top">Outbox</a></li>
	<li><a href="sms.php?id=all" target="_top">All Messages</a></li>
	<li><a href="#settings">Settings</a></li>
</ul>
<!-- Home Level End -->
<!-- About : Start -->
<ul id="about" class="panel" title="About">
	<p class="title">iPhone Arabic SMS Application<br />
	<span class="titleNote">(Version 2.2)</span></p>
	<p style="text-align: center">Developed by:	<a href="http://mem9.net/iphone/" target="_blank">MeM</a></p>
	<center><img src="images/mem.jpg" border="2" style="border-color: black;" /></center>
	<div>
		<p style="font-size: medium;">
			Website: <a href="http://mem9.net/iphone/" target="_blank">iPhone Arabic SMS Application</a><br/>
			Email: <a href="mailto:mem@mem9.net?subject=iPhone Arabic SMS Application" target="_blank">mem@mem9.net</a><br/>
			Mohammad A. Al-Mohsin<br/>
			Software Engineer
		</p>
	</div>
	<div>
		<p>Thanks to <a href="http://ericasadun.com" target="_blank">Erica Sadun</a> for providing sqlite3 ported for iPhone.</p>
	</div>
	<div>
		<p>Thanks to <a href="http://www.ebaspace.com/2007/08/20/create-iphone-apps-with-knox-iphone-template/" target="_blank">Knox</a> for the great and easy-to-use iPhone native application template.</p>
	</div>
</ul>
<!-- About : End -->
<!-- Settings : Start -->
<ul id="settings" class="plain" title="Settings">
<li><a href="#settingsPhoneIdentifyingDigits" target="_top">Phone Identifying Digits</a></li>
<li><a href="#settingsChangePassword" target="_top">Change Password</a></li>
</ul>
<!-- Settings : End -->
<!-- Inbox : Start -->
<ul id="inbox" class="panel" title="Inbox">
</ul>
<!-- Inbox : End -->
<!-- Outbox : Start -->
<ul id="outbox" class="panel" title="Outbox">
</ul>
<!-- Outbox : End -->
<!--  settingsPhoneIdentifyingDigits : Start -->
<ul id="settingsPhoneIdentifyingDigits" class="panel" title="Settings">
	<div>
		<p>Number of Phone Identifying Digits</p>
		<input type="text" id="numPhoneDigits" />
		<input type="button" id="btnSave" value="Save" onclick="setNumPhoneDigits(document.getElementById('numPhoneDigits').value);" />
		<hr>
		<p>Examples:</p>
		<table border="1" style="border: 1px solid black;font-size: 8pt; border-collapse: collapse;">
			<tr>
				<td>Country</td>
				<td># Identifying Digits</td>
				<td>Explanation *</td>
			</tr>
			<tr>
				<td>Saudi Arabia</td>
				<td align="center">9</td>
				<td>
					+966<span style="color:blue">512345678</span>
					<br />
					0<span style="color:blue">512345678</span>
				</td>
			</tr>
			<tr>
				<td>Kuwait</td>
				<td align="center">7</td>
				<td>
					+965<span style="color:blue;text-decoration:none;">1234567</span>
					<br />
					<span style="color:blue;text-decoration:none;">1234567</span>
				</td>
			</tr>
		</table>
		<p>* Identifying digits are in <span style="color:blue">blue</span>.</p>
	</div>
</ul>
<!--  settingsPhoneIdentifyingDigits : End -->
<!--  settingsChangePassword : Start -->
<ul id="settingsChangePassword" class="panel" title="&nbsp;&nbsp;&nbsp;Change Password">
	<div>
		<p>Change the password for remote access:</p>
		<p>New Password</p><input type="password" id="newPasswd" />
		<p>Confirm Password</p><input type="password" id="confirmPasswd" />
		<input type="button" id="btnSave" value="Save" onclick="setNewPasswd(document.getElementById('newPasswd').value);" />
	</div>
</ul>
<!--  settingsChangePassword : End -->
</body>
</html>
